.header {
  position: absolute;
  z-index: 21;
  top: 0;
  transform: translateX(-50%);
  width: 100%;
  left: 50%;
  padding: 20px 0;
  &__logo {
    margin-bottom: 0;
    img {
      max-width: 150px;
    }
  }
  &-nav {
    &__list {
      @include display_flex(baseline, center);
      li {
        margin-left: 20px;
      }
      a {
        color: $white-color;
        font-weight: bold;
      }
    }
  }
  &-burger {
    margin-left: auto;
    padding-right: 10px;
    &__link {
      color: #101010;
      display: -webkit-inline-box;
      display: -webkit-inline-flex;
      display: -ms-inline-flexbox;
      display: inline-flex;
      flex-direction: column;
      width: 34px;
      -webkit-transition: none;
      transition: none;
      -webkit-box-align: center;
      -webkit-align-items: center;
      -ms-flex-align: center;
      align-items: center;
      -webkit-flex-wrap: wrap;
      -ms-flex-wrap: wrap;
      flex-wrap: wrap;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
      -webkit-flex-direction: column;
      span {
        display: inline-block;
        height: 2px;
        margin: 4px 0;
        -webkit-transition: all 0.3s;
        transition: all 0.3s;
        background-color: $white-color;
        &.line-one {
          width: 34px;
        }
        &.line-two {
          width: 20px;
          align-self: flex-end;
        }
      }
      &.open {
        span {
          width: 34px;
          background-color: #101010;
          &.line-one {
            transform: rotate(45deg) translateX(4px) translateY(3px);
          }
          &.line-two {
            transform: rotate(-45deg) translateX(4px) translateY(-3px);
          }
        }
      }
    }
  }

  &-sp-nav {
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: $white-color;
    z-index: 101;
    transition: opacity 0.3s, visibility 0.3s;
    opacity: 0;
    visibility: hidden;
    &__list {
      top: 50%;
      width: 100%;
      position: absolute;
      padding-left: 0;
      text-align: center;
      left: 50%;
      transform: translate(-50%, -50%);
    }
    &-top {
      padding: 20px 0;
    }
    li {
      font-size: 3.2rem;
      margin-bottom: 20px;
      a {
        text-transform: uppercase;
        font-weight: bold;
        &:hover,
        &:focus {
          color: #e82e31;
        }
      }
      &.active {
        a {
          color: #e82e31;
          &::after {
            font-size: 16px;
            position: absolute;
            top: 50%;
            margin-left: 30px;
            content: "\e91c";
            -webkit-transition: opacity .3s,-webkit-transform .3s;
            transition: opacity .3s,-webkit-transform .3s;
            transition: opacity .3s,transform .3s;
            transition: opacity .3s,transform .3s,-webkit-transform .3s;
            -webkit-transform: translate3d(-15px,-50%,0);
            transform: translate3d(-15px,-50%,0);
            opacity: 0;
          }
        }
      }
    }
    &.open {
      visibility: visible;
      opacity: 1;
      z-index: 101;
    }
  }
}
